Our game supports all browsers that are compatible with WebGL plugin. If you are seeing an error that your browser does not support WebGL, it means that you are either using the one which is incompatible with it, or the version of the browser is very outdated. You may see the full list of compatible browsers, as well as supported Unity features with browser version breakdown here.